nxt.tools

## Class LocalSigner

- java.lang.Object
- - nxt.tools.LocalSigner

-     public class LocalSigner
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSigner()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JO` | `signAndBroadcast(ChildChain childChain, long recipientId, Attachment attachment, java.lang.String secretPhrase, long feeNQT, long feeRateNQTPerFXT, long minBundlerBalanceFXT, ChainTransactionId referencedTransaction, java.net.URL url)` Helper for client applications to sign transactions without submitting the passphrase to a remote node This utility method, signs a transaction locally without exposing the secretPhrase to a remote node

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalSigner

          public LocalSigner()

  - ### Method Detail

    - #### signAndBroadcast

          public static JO signAndBroadcast(ChildChain childChain,
                                            long recipientId,
                                            Attachment attachment,
                                            java.lang.String secretPhrase,
                                            long feeNQT,
                                            long feeRateNQTPerFXT,
                                            long minBundlerBalanceFXT,
                                            ChainTransactionId referencedTransaction,
                                            java.net.URL url)

      Helper for client applications to sign transactions without submitting the passphrase to a remote node This utility method, signs a transaction locally without exposing the secretPhrase to a remote node
      Parameters:
        `childChain` - child chain
        `recipientId` - recipient
        `attachment` - additional information specific to the transaction type
        `secretPhrase` - secret phrase
        `feeNQT` - fee, specify -1 to calculate the best bundling fee
        `feeRateNQTPerFXT` - rate between child fee and parent fee
        `minBundlerBalanceFXT` - only consider bundlers with at list this bundling balance
        `referencedTransaction` - transaction to reference
        `url` - optional remote node to which to submit the transaction
      Returns:
        the result of broadcasting the transaction